# Class ForFormArrayItemsDirective

#### Implements

- AfterViewInit
- OnDestroy

- Defined in packages/angular/form-system/src/lib/directives/array/for-form-array-items.directive.ts:41

#####
Index

### Constructors

constructor

### Methods

ngAfterViewInit
ngOnDestroy

##
Constructors

### constructor

- new ForFormArrayItemsDirective(
  container: ControlContainer,
  template: TemplateRef<ForFormArrayItemsDirectiveContext>,
  viewContainerRef: ViewContainerRef,
  cdr: ChangeDetectorRef,
  ): ForFormArrayItemsDirective

  #### Parameters

  - container: ControlContainer
  - template: TemplateRef<ForFormArrayItemsDirectiveContext>
  - viewContainerRef: ViewContainerRef
  - cdr: ChangeDetectorRef

  #### Returns ForFormArrayItemsDirective

  - Defined in packages/angular/form-system/src/lib/directives/array/for-form-array-items.directive.ts:47

##
Methods

### ngAfterViewInit

- ngAfterViewInit(): void

  A callback method that is invoked immediately after Angular has completed initialization of a component's view. It is invoked only once when the view is instantiated.

  #### Returns void

  Implementation of AfterViewInit.ngAfterViewInit

  - Defined in packages/angular/form-system/src/lib/directives/array/for-form-array-items.directive.ts:55

### ngOnDestroy

- ngOnDestroy(): void

  A callback method that performs custom clean-up, invoked immediately before a directive, pipe, or service instance is destroyed.

  #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in packages/angular/form-system/src/lib/directives/array/for-form-array-items.directive.ts:75